/*Barry Kauler 2006, puppyserialdetect, for Puppy, www.puppyos.com
  Got the guts of this from Detect library, which seems to have in
  turn got it from Mandrake and/or Red Hat.
  I apologise for badly hacked code: my C knowledge is extremely rusty.*/

//#include <string.h>
//#include <errno.h>
//#include <stdio.h>
//#include <stdlib.h>


#include "detect.h"
#include "utils.h"
#include "serial.h"

//global settings.
int debug, detect_kbds, extendinfo, testcases;

void flagoptions(char *s){
	for (;*s!='\0';s++){
		if (*s == 'd') debug=1; //Allow for a debug setting.
		if (*s == 'k') detect_kbds=1; //Allow for a keyboard detect
		if (*s == 'e') extendinfo=1; //Allow for a extended info
		if (*s == 't') testcases=1; //Allow for a testcases.txt file

		if (*s == '-' || *s == '?' || *s == 'h'){
			printf("Application to detect Mouse/Keyboard on PS2/USB/Serial\n");
			printf("and some Serial modems. Uses /proc filesystem and /dev nodes\n");
			printf("    command options:\n");
			printf("        -d    debugging info\n");
			printf("        -k    detect keyboards\n");
			printf("        -e    extra info like model name\n");
			printf("        -t    read from 'testcases.txt' rather than \n");
			printf("              from /proc/bus/input/devices\n");
			printf("\n");
			printf("Original code borrowed and modified from Mandrake & Red Hat\n");
			printf("Now: puppyserialdetect, for Puppy, www.puppyos.com\n");
			printf("\n");
			exit(0);
		}
	}
}
int main(int argc, char *argv[]){
	int i;

	debug=0;
	for (i=1;i<argc;i++)
		if (argv[i][0] == '-')
			flagoptions(argv[i]+1);
	if (debug){
		printf("%s  version 1.1f\n", argv[0]);
		printf("Built on %s\n", __DATE__);
	}
/*if something found, stdout has format: "Type:%s|Port:%s" (mouse.c)*/
	mouse_detect();
	serial_detect();
	return 0;
}
